/*
*******************************************************************************
**
**  This device driver was created by Applilet for the 78K0S/KB1+, 78K0S/KA1+,
**  78K0S/KY1+,78K0S/KU1+ 8-Bit Single-Chip Microcontrollers.
**
**  Copyright(C) NEC Electronics Corporation 2002-2006
**  All rights reserved by NEC Electronics Corporation.
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	main.c
**  Abstract :	This file implements main function.
**  APIlib :	NEC78K0SKX1+.lib V1.70 [7 Dec. 2006]
**
**  Device :	uPD78F9222
**
**  Compiler :	NEC/CC78K0
**
*******************************************************************************
*/
/*
*******************************************************************************
**  Include files
*******************************************************************************
*/
#include "macrodriver.h"
#include "system.h"
#include "ad.h"
#include "int.h"
#include "port.h"
#include "timer.h"
#include "watchdogtimer.h"
#include "lvi.h"
/*
*******************************************************************************
**  MacroDefine
*******************************************************************************
*/
/*
**---------------------------------------------------------------------------
**
**  Abstract:
**	This function implements main function.
**
**  Parameters:
**	None
**
**  Returns:
**	None
**
**---------------------------------------------------------------------------
*/
int		ondo_10;
int		ondo_1;
int		ondo_f;

char	led_data[14]=
			{0x3f,0x06,0x5b,0x4f,0x66,0x6d,0x7d,0x27,0x7f,0x6f,0x3e,0x73,0x1e,0x54};
			/*led_data[10]="U",[11]="P",[12]="d",[13]="n"*/

void	led_port_clear(void)
{
	P4.0=1;
	P4.1=1;
}

void	time_wait(long time)
{
	while(time!=0){
	time--;
	}
}

void	led_7seg_out(int data)
{
	P2=(P2|0x0e)&(~(led_data[data]&0x07)<<1);
	P12=(P12|0x0e)&(~(led_data[data]&0x38)>>2);
	P13=(P13|0x01)&(~(led_data[data]&0x40)>>6);
}

void	led_disp(void)
{
	led_port_clear();
	led_7seg_out(ondo_10);
	P4.0=0;
	time_wait(200);
	led_port_clear();
	led_7seg_out(ondo_1);
	P4.1=0;
	time_wait(200);
	led_port_clear();
	if(ondo_f==1){
		P3.0=0;
	}
	else{
		P3.0=1;
	}
}

void main( void )
{

	ondo_10=9;
	ondo_1=0;
	ondo_f=0;

	/* TODO. add user code */
	AD_Start(ADChannel0);
	TM00_Start();
	while(1){
	
		led_disp();
		
	}
}

